Subject: bug#66117: 30.0.50; `find-buffer-visiting' is slow when opening large number of buffers

From: Ihor Radchenko <[email-masked]>
Date: Wed, 04 Oct 2023 10:58:52 +0000

Dmitry Gutov <[email-masked]> writes:

>> Would it be possible to implement some kind of caching mechanism to be
>> used by `find-buffer-visiting'?
>
> I'm guessing you Cc'd me because of an existing comment inside xref.el? 
> As you can see I decided not to use this function there, but even 
> get-file-buffer wasn't as fast as I would've wanted, so there's a 
> quick-and-dirty caching solution for sequential lookups (which assumes 
> that the same file would be looked up multiple times in a row).

It looks like my example is quite different from yours.
Do you have a reproducer demonstrating `get-file-buffer' being slow?

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>